Cond::create
Cond::signal
Cond
PHP Manual

# Cond::destroy

Destroy a Condition

### Description

final public static boolean Cond::destroy ( long `$condition` )

Destroying Condition Variable handles must be carried out explicitly by the programmer when they are finished with the Condition Variable. No Threads should be blocking on a call to Cond::wait when the call to Cond::destroy takes place.

### Parameters

`condition`

  A handle to a Condition Variable returned by a previous call to Cond::create

### Return Values

A boolean indication of success.

### Examples

Example #1 Condition Creation and Destruction

`<?php
/** You cannot use the "new" keyword, a Cond is not a PHP object **/
$cond = Cond::create();
/** You can now use the Cond in any context **/
var_dump($cond);
/** Always destroy Cond you have created **/
Cond::destroy($cond);
?>`

The above example will output:

    int(4540682)